CompilerIf Defined(PBIO_OK, #PB_Constant)=0
  Enumeration
    #PBIO_OK
    #PBIO_ErrCopyDriver
    #PBIO_ErrInstallDriver
    #PBIO_ErrAccess
  EndEnumeration
CompilerEndIf

If OpenLibrary(2, "PB_IO.dll")=0
  MessageRequester("", " PB_IO.dll.", #MB_OK|#MB_ICONERROR)
  End
EndIf

Prototype Inp(PortAddress.u)
Prototype Out(PortAddress.u, Byte.a)
Prototype Status()
Prototype.f Version()

Global Inp.Inp =GetFunction(2, "Inp")
Global Out.Out =GetFunction(2, "Out")
Status.Status =  GetFunction(2, "Status")
Version.Version =GetFunction(2, "Version")


#ADR_REG = $295 ;    ,      
#DATA_REG = $296

Procedure Termo() ;       
   Out(#ADR_REG, $2B) ;    
   x=Inp(#DATA_REG)
   SetGadgetItemText(0,0,StrU(x, #PB_Byte)+" C",1) ;    
   
   Out(#ADR_REG, $29) ;     
   x=Inp(#DATA_REG)
   SetGadgetItemText(0,1,StrU(x, #PB_Byte)+" C",1)  ;    
EndProcedure 
 
Err = Status()
If Err<>#PBIO_OK
  MessageRequester("", "Driver error "+Str(Err))
EndIf

OpenWindow(0,0,0,274,80,"TermoControl",#PB_Window_MinimizeGadget|#PB_Window_Invisible|#PB_Window_ScreenCentered) 

ListIconGadget(0,2,4,270,70,"Name",120,#PB_ListIcon_GridLines) ; 
SetGadgetFont(0,LoadFont(0,"MS Sans Serif",10) ) ;    
AddGadgetColumn(0, 1, "Temperature", 140) ;    
AddGadgetItem(0, 0, "Processor") ;    
AddGadgetItem(0, 1, "Chipset") 

Termo()
AddWindowTimer(0,2,1000) ; .

HideWindow(0,0) ;  

Repeat ;    
  Event=WaitWindowEvent()
  If Event=#PB_Event_Timer
    Termo()
  EndIf
Until Event=#PB_Event_CloseWindow


; IDE Options = PureBasic 5.10 (Windows - x86)
; CursorPosition = 40
; Folding = -
; EnableXP
; EnableAdmin
; Executable = TermoControl.exe